Skip to main content
`Ctrl`+`K`

# PetscViewerCGNSSetSolutionIndex

Set index of solution

## Synopsis

    #include "petscviewer.h"
    #include "petscdmplex.h"
    PetscErrorCode PetscViewerCGNSSetSolutionIndex(PetscViewer viewer, PetscInt solution_id)

Not Collective

## Input Parameters

- viewer - `PETSCVIEWERCGNS` `PetscViewer` for CGNS input/output to use with the specified file

- solution_id - Index of the solution id, or `-1` for the last solution on the file

## Notes

By default, `solution_id` is set to `-1` to mean the last solution available in the file. If the file contains a FlowSolutionPointers node, then that array is indexed to determine which FlowSolution_t node to read from. Otherwise, `solution_id` indexes the total available FlowSolution_t nodes in the file.

This solution index is used by `VecLoad()` to determine which solution to load from the file

## See Also

`PETSCVIEWERCGNS`, `PetscViewerCGNSGetSolutionIndex()`, `PetscViewerCGNSGetSolutionInfo()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/cgns/cgnsv.c

## Examples

src/dm/impls/plex/tutorials/ex15.c
src/dm/impls/plex/tutorials/ex16.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages